using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebAPIBase.NetCore.BusinessCore
{
    public class SystemClassItem
    {
        private string m_ClassCode = "";

        private string m_TableName = "";

        private string m_KeyColumnName = "";

        private string m_TypeColumnName = "";

        private string m_CreateUserColumnName = "";

        private string m_UnitColumnName = "";

        private string m_ProjectColumnName = "";

        public string ClassCode
        {
            get
            {
                return m_ClassCode;
            }
            set
            {
                m_ClassCode = value;
            }
        }

        public string TableName
        {
            get
            {
                return m_TableName;
            }
            set
            {
                m_TableName = value;
            }
        }

        public string KeyColumnName
        {
            get
            {
                return m_KeyColumnName;
            }
            set
            {
                m_KeyColumnName = value;
            }
        }

        public string TypeColumnName
        {
            get
            {
                return m_TypeColumnName;
            }
            set
            {
                m_TypeColumnName = value;
            }
        }

        public string CreateUserColumnName
        {
            get
            {
                return m_CreateUserColumnName;
            }
            set
            {
                m_CreateUserColumnName = value;
            }
        }

        public string UnitColumnName
        {
            get
            {
                return m_UnitColumnName;
            }
            set
            {
                m_UnitColumnName = value;
            }
        }

        public string ProjectColumnName
        {
            get
            {
                return m_ProjectColumnName;
            }
            set
            {
                m_ProjectColumnName = value;
            }
        }

        public SystemClassItem()
        {
        }

        public SystemClassItem(string classCode, string tableName, string keyColumnName, string typeColumnName, string createUserColumnName, string UnitColumnName, string ProjectColumnName)
        {
            m_ClassCode = classCode;
            m_TableName = tableName;
            m_KeyColumnName = keyColumnName;
            m_TypeColumnName = typeColumnName;
            m_CreateUserColumnName = createUserColumnName;
            m_UnitColumnName = UnitColumnName;
            m_ProjectColumnName = ProjectColumnName;
        }
    }
}
